.hamburger {
    &__wrapper {
        top: 1.5em;
        position: absolute;
        width: 3.5em;
        z-index: 1;
        height: 4em;
        border-radius: 20%;

        @media (min-width: $sm) {
            width: 4em;
        }
    }

    &__circle {
        border-radius: 50%;
        width: 0px;
        height: 0px;
        position: fixed;
        top: 0;
        right: 0;
        background: $black-pearl;
        z-index: 11;
        transition: all 0.5s cubic-bezier(0, 0.995, 0.99, 1);

        &--open {
            width: 1500px;
            height: 1500px;
            top: -500px;
            right: -500px;
            transition: all 1s cubic-bezier(0, 0.995, 0.99, 1);

            @media (min-width: $sm) {
                width: 2800px;
                height: 2800px;
                transition: all 2.5s cubic-bezier(0, 0.995, 0.99, 1);
            }

            @media (min-width: $md) {
                width: 3000px;
                height: 3000px;
            }

            @media (min-width: $xl) {
                width: 5500px;
                height: 5500px;
                top: -2000px;
                right: -1000px;
                transition: all 4s cubic-bezier(0, 0.995, 0.99, 1);
            }
        }
    }

    &__menu {
        width: 2.5em;
        height: 2.5em;
        padding: 0.75em;
        display: flex;
        position: fixed;
        border-radius: 100%;
        border: 1px solid $white;
        align-items: flex-end;
        flex-direction: column;
        justify-content: center;
        transition: ease .2s all;
        transform: translate3d(7px, 7px, 0);

        @media (min-width: $sm) {
            width: 3em;
            height: 3em;
        }

        span {
            height: 1px;
            width: 100%;
            margin-bottom: 3.5px;
            background-color: $white;
            transition: 0.5s all ease;

            &:nth-child(2) {
                width: 0.5em;

                @media (min-width: $sm) {
                    width: 0.75em;
                }
            }

            &:last-child {
                margin-bottom: 0;
                width: 0.75em;

                @media (min-width: $sm) {
                    width: 1em;
                }
            }

            @media (min-width: $sm) {
                margin-bottom: 5px;
            }
        }

        &:hover {
            span {
                &:nth-child(2),
                &:last-child {
                    width: 100%;
                }
            }
        }
    }
}
